/**
 * 折中方案：处理浮点失真，如果页面卡顿，则需要服务处理
 * @param val 
 * @param decimal 需要保留小数位 默认2 
 * @param maxCount 最大小数位 超过的时候需要对数值进行处理 
 * @returns 
 */
export function getDecimalsNum(val: any, decimal = 2, maxCount = 6) {
    let result = val
    if (typeof val === 'number') {
        const str = val.toString();
        if (str.includes('.')) {
            const num = str.indexOf('.') + 1;
            const count = str.length - num;
            if (count > maxCount) {
                result = val.toFixed(decimal)
            }
        }
    }
    return result
}
